Mailinglist Archive: opensuse-packaging (132 mails)

< Previous Next >
Re: [opensuse-packaging] prefered libjawt.so in openSUSE_13.2 needs to be specified
On Tue, Jan 17, Olaf Hering wrote:

In Packman the pkg Extra/IfcOpenShell can not build due to a missing
Prefer in the global 13.2 prjconf:

have choice for libjawt.so()(64bit) needed by vtk-devel:
java-1_7_0-openjdk-headless java-1_8_0-openjdk-devel java-1_8_0-openjdk
java-1_7_0-openjdk-bootstrap-headless
have choice for libjawt.so(SUNWprivate_1.1)(64bit) needed by vtk-devel:
java-1_7_0-openjdk-headless java-1_8_0-openjdk-devel java-1_8_0-openjdk
java-1_7_0-openjdk-bootstrap-headless

It turned out some other pkg got a 'Requires: vtk-devel' in the devel
subpkg. I wonder how "vtk-devel" worked for the past two years? Did
every other prj use its own 'Prefer: java-1_7_0-openjdk-headless'?

Is there a way to add a resolver hint just for these two specific libs,
like 'Prefer: libjawt.so:java-1_7_0-openjdk-headless'?


Olaf
< Previous Next >
References